#
# spec file for package wget (Version 1.8.2)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  libpng-devel-packages openssl openssl-devel
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils cracklib gcc gdbm gettext libpng libpng-devel libtool openssl-devel perl rpm

Name:         wget
URL:          http://wget.sunsite.dk/
License:      GPL
Group:        Productivity/Networking/Web/Utilities
Autoreqprov:  on
Version:      1.8.2
Release:      363
Summary:      A tool for mirroring FTP and HTTP servers
Source:       wget-%{version}.tar.bz2
Patch:        nops_doc.diff
Patch1:       toplev_destdir.diff
Patch2:       %{name}-1.8.2-brokentime.patch
Patch3:       %{name}-1.8.2-ipv6.patch
Patch4:       %{name}-1.8.2-passive_ftp.diff
Patch5:       %{name}-1.8.2-filename.patch
Patch6:       %{name}-1.8.2-autoconf.patch
Patch7:       wget-terminate_filename.diff
Patch8:       wget-1.9.1-sanitize.diff
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
PreReq:       %install_info_prereq

%description
Wget enables you to retrieve WWW documents or FTP files from a server.
This can be done in script files or via the command line.



Authors:
--------
    Hrvoje Niksic <hniksic@srce.hr>

%prep
%setup -q
%patch
%patch1
%patch2 -p1
%patch3 -p1
%patch4
%patch5 -p1
%patch6
%patch7
%patch8 -p1

%build
# update config.{guess,sub}
%{?suse_update_config:%{suse_update_config -f}}
rm -f aclocal.m4
autoreconf -fi
CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE -W -Wall -Wpointer-arith -Wno-unused-parameter" \
./configure --prefix=%{_prefix} \
            --infodir=%{_infodir} \
            --sysconfdir=%{_sysconfdir} \
            --mandir=%{_mandir} \
	    --with-ssl \
	    --enable-ipv6 \
            %{_target_cpu}-suse-linux
make localedir=%{_datadir}/locale
make -C doc everything

%install
[ "$RPM_BUILD_ROOT" != "/" -a -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
make DESTDIR=$RPM_BUILD_ROOT install
# install -D doc/wget.1 $RPM_BUILD_ROOT%{_mandir}/man1/wget.1

%clean
[ "$RPM_BUILD_ROOT" != "/" -a -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%post
%install_info --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz
	

%postun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz
	

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README MAILING-LIST PATCHES TODO README.cvs 
%doc doc/sample.wgetrc 
%doc util/rmold.pl
%doc doc/wget*.html
%doc %{_mandir}/*/wget*
%doc %{_infodir}/wget*
%config(noreplace) %{_sysconfdir}/wgetrc
%{_bindir}/*
%{_datadir}/locale/*/*/*

%changelog -n wget
* Tue Feb 22 2005 - mmj@suse.de
- Add patch for sanitizing URLs [#64183]
* Tue Jul 15 2003 - pthomas@suse.de
- Add security fix to unconditionally terminate the filename
  in url.c(compose_file_name).
* Thu Apr 24 2003 - ro@suse.de
- fix install_info --delete call and move from preun to postun
* Tue Apr 01 2003 - schwab@suse.de
- Define _GNU_SOURCE to fix missing declarations.
* Fri Mar 07 2003 - ro@suse.de
- fix build with current autoconf
* Thu Mar 06 2003 - pthomas@suse.de
- Add missing change log entry.
* Wed Mar 05 2003 - pthomas@suse.de
- Add security fix that makes wget check for '..' and '/' in
  file names.
* Wed Feb 12 2003 - kukuk@suse.de
- Remove ps and pdf documenation, info, man and html are enough.
  [Bug #23592]
* Tue Feb 11 2003 - mmj@suse.de
- Use %%install_info macro [#23468]
- Don't remove $RPM_BUILD_ROOT without checking it's not "/"
* Thu Oct 24 2002 - pthomas@suse.de
- Change wgetrc to make wget use passive_ftp per default.
* Wed Aug 07 2002 - mmj@suse.de
- Update to 1.8.2 which is a bugfix release.
* Wed Jul 10 2002 - okir@suse.de
- added patch for IPv6 support
* Tue May 14 2002 - meissner@suse.de
- replaced assert msecs>=0 by if (msecs<0) msecs=0. (stupid assert)
* Fri Feb 01 2002 - ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Mon Jan 14 2002 - bk@suse.de
- marked wgetrc as noreplace, format is compatible to older versions
* Mon Jan 07 2002 - pthomas@suse.de
- Upgrade to 1.8.1
* Thu Dec 13 2001 - pthomas@suse.de
- Upgrade to 1.8
- Regenerate pdf_doc.diff
- Drop ppc specific patch as it's not needed anymore.
- Install all HTML pages and not only the table of contents.
- Pass DESTDIR on from the toplevel Makefile.
* Mon Aug 20 2001 - olh@suse.de
- add wget-1.7.ppc.diff to fix segfault on ppc
* Fri Jun 08 2001 - pthomas@suse.de
- Upgrade to 1.7.
- Add a target to doc/Makefile to build a PDF version of the
  documentation.
- Compile with SSL support (for HTTPS).
* Fri May 25 2001 - bjacke@suse.de
- apply and enable IPv6 patch
- add Debian's manpage
* Thu May 10 2001 - mfabian@suse.de
- bzip2 sources
* Fri Mar 30 2001 - pthomas@suse.de
- Apply my patch accepted for wget 1.7 that replaces ctype.h
  with safe-ctype.h, a locale independent version of ctype.h
  taken from libiberty. This makes setting LC_CTYPE safe.
* Thu Mar 08 2001 - ke@suse.de
- Build and install a printable manual (PDF).
* Thu Mar 01 2001 - pthomas@suse.de
- Set LC_CTYPE along with LC_MESSAGES to correctly display
  messages in locales other then C/POSIX.
* Wed Feb 14 2001 - schwab@suse.de
- Fix large file support (#2647).
* Mon Jan 22 2001 - ke@suse.de
- Update to version 1.6.
- wget.spec: Use proper rpm macros.
- Add README.SuSE
- Drop security patch (cf. 1999-02-09 and README.SuSE); not needed any
  longer.
- Lost large file support (cf. README.SuSE); reopen #2647.
* Fri Jun 09 2000 - schwab@suse.de
- Change all values that count bytes from long to unsigned long (#2647).
* Sun Feb 20 2000 - ke@suse.de
- General spec file cleanup:
- add group tag.
- use various macros (%%{version}, %%{_infodir}).
- ./configure -> %%build.
* Sat Oct 02 1999 - ke@suse.de
- Add more PO files from
  http://www.iro.umontreal.ca/~pinard/po/HTML/domain-wget.html.
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Feb 09 1999 - ke@suse.de
- Security fix (proposed by marc).
* Sun Jan 17 1999 - ke@suse.de
- apply patch (new de.po).
- fix BuildRoot.
* Thu Sep 24 1998 - ke@suse.de
- Update: wget-1.5.3 (bug fix release).
* Fri Jun 26 1998 - ke@suse.de
- Update: wget-1.5.2 (bug fix release).
- Make BuildRoot work.
* Tue May 12 1998 - ke@suse.de
- update: wget-1.5.1 (bug fix release).
* Fri Apr 24 1998 - ke@suse.de
- enable NLS.
* Thu Apr 23 1998 - ke@suse.de
- update: wget-1.5.0.
* Sat Jun 21 1997 - Karl Eichwalder <ke@suse.de>
  * patch from Hrvoje Niksic to prevent crashes if you are using
  proxy authorization.
* Mon May 19 1997 - Karl Eichwalder <ke@suse.de>
  * new package: wget-1.4.5
